## pgbouncer 1.17.0~20220624.1245-3~1.git719b149.pgdg18.04+1

=== debian/changelog ===
pgbouncer (1.17.0~20220624.1245-3~1.git719b149.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 05 Apr 2022 16:15:28 +0200

pgbouncer (1.17.0-3) unstable; urgency=medium

  * pgbouncer.service: Use /bin/kill to please systemd on bionic.

 -- Christoph Berg <myon@debian.org>  Tue, 05 Apr 2022 16:15:28 +0200

pgbouncer (1.17.0-2) unstable; urgency=medium

  * pgbouncer.service: Add ExecReload. Thanks Sean Davis for spotting!

 -- Christoph Berg <myon@debian.org>  Tue, 05 Apr 2022 10:24:53 +0200

pgbouncer (1.17.0-1) unstable; urgency=medium

  * New upstream version.
    + Supports OpenSSL 3. (Closes: #1006526)
  * Add pgbouncer.service and enable systemd notify integration.
  * Remove obsolete README.Debian file. (Closes: #985845)

 -- Christoph Berg <myon@debian.org>  Mon, 04 Apr 2022 12:39:55 +0200
