## pgbouncer 1.17.0~20220624.1245-3~1.git719b149.pgdg22.04+1

=== debian/changelog ===
pgbouncer (1.17.0~20220624.1245-3~1.git719b149.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 05 Apr 2022 16:15:28 +0200
