=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Rules-Requires-Root: no
 Build-Depends:
  ca-certificates,
- debhelper (>= 11),
+ debhelper (>= 10),
  libevent-dev (>= 1.3b),
  libpam0g-dev | libpam-dev,
  libssl-dev,
