## pgbouncer 1.17.0

=== debian/changelog ===
pgbouncer (1.17.0-3.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 05 Apr 2022 16:15:28 +0200
