=== debian/changelog ===
pgbouncer (1.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Drop 04ff38b25e patch, included upstream.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 03 Feb 2023 16:14:12 +0100

pgbouncer (1.17.0-4) unstable; urgency=medium

  * Install pgbouncer.service and pgbouncer.socket files from upstream.
    (Closes: #1009025)
  * Cherry-pick 04ff38b25e from upstream to fix tests.
    (Closes: #1021859, but needs 4a6de748d3 in postgresql-15 as well)

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 11:48:31 +0200
