=== debian/control ===
--- 
+++ 
@@ -32,6 +32,7 @@
  postgresql-common (>= 26),
  ${misc:Depends},
  ${shlibs:Depends},
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: python3, python3-psycopg2
 Enhances: postgresql (>= 7.4)
 Description: lightweight connection pooler for PostgreSQL
