## pgbouncer 1.22.0

=== requirements.txt ===
pytest
pytest-asyncio
pytest-timeout
pytest-xdist
psycopg; python_version < "3.7"
https://github.com/psycopg/psycopg/archive/master.zip#egg=psycopg&subdirectory=psycopg; python_version >= "3.7"
filelock
contextlib2; python_version < "3.7"
