=== debian/changelog ===
pgbouncer (1.22.0-1build4) noble; urgency=medium

  * No-change rebuild for c-ares t64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Apr 2024 11:55:39 +0200

pgbouncer (1.22.0-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:14:09 +1100

pgbouncer (1.22.0-1build2) noble; urgency=medium

  * No-change rebuild against libevent-2.1-7t64

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 29 Mar 2024 17:28:56 +0100

pgbouncer (1.22.0-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:01:48 +0000

pgbouncer (1.22.0-1) unstable; urgency=medium

  * New upstream version 1.22.0.
  * Remove lsb-base dependency.

 -- Christoph Berg <myon@debian.org>  Fri, 09 Feb 2024 12:18:10 +0100

pgbouncer (1.21.0-1) unstable; urgency=medium

  * New upstream version 1.21.0.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Oct 2023 15:33:06 +0200

pgbouncer (1.20.1-1) unstable; urgency=medium

  * New Upstream Release
    - Fixes:
      * Fix regression where putting options inside ignore_startup_parameters
        would not ignore unknown parameters inside the options startup
        parameter anymore.
      * Fix confusing typo in the docs.

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Wed, 27 Sep 2023 08:22:41 +0200

pgbouncer (1.20.0-1) unstable; urgency=medium

  * New upstream version.
    + Deprecates online restart, give up on fixing the service file for it.
      (Closes: #813487)

 -- Christoph Berg <myon@debian.org>  Tue, 25 Jul 2023 16:53:22 +0200

pgbouncer (1.19.1-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Sun, 04 Jun 2023 21:14:53 +0200

pgbouncer (1.19.0-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 22 May 2023 19:38:46 +0200
