=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: pgbouncer
-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
  Peter Eisentraut <petere@debian.org>,
@@ -28,7 +29,6 @@
 Package: pgbouncer
 Architecture: any
 Depends:
- lsb-base (>= 3.1),
  postgresql-common (>= 26),
  ${misc:Depends},
  ${shlibs:Depends},
