=== debian/rules ===
--- 
+++ 
@@ -33,5 +33,6 @@
 	mkdir -p $(CURDIR)/debian/pgbouncer/etc/pgbouncer
 	touch $(CURDIR)/debian/pgbouncer/etc/pgbouncer/userlist.txt
 
-override_dh_installinit:
-	dh_installinit -R
+override_dh_installsystemd:
+	# don't auto-enable/start pgbouncer.socket
+	dh_installsystemd pgbouncer.service
