## pgbouncer 1.23.0

=== debian/changelog ===
pgbouncer (1.23.0-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Release

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Thu, 04 Jul 2024 12:45:59 +0200

pgbouncer (1.22.1-1) unstable; urgency=medium

  * New upstream version 1.22.1.
  * B-D on pkgconf.

 -- Christoph Berg <myon@debian.org>  Wed, 17 Apr 2024 23:23:56 +0200
