## pgbouncer 1.23.1

=== Makefile ===
--- 
+++ 
@@ -10,12 +10,14 @@
 	src/hba.c \
 	src/janitor.c \
 	src/loader.c \
+	src/messages.c \
 	src/main.c \
 	src/objects.c \
 	src/pam.c \
 	src/pktbuf.c \
 	src/pooler.c \
 	src/proto.c \
+	src/prepare.c \
 	src/sbuf.c \
 	src/scram.c \
 	src/server.c \
@@ -25,6 +27,8 @@
 	src/util.c \
 	src/varcache.c \
 	src/common/base64.c \
+	src/common/bool.c \
+	src/common/pgstrcasecmp.c \
 	src/common/saslprep.c \
 	src/common/scram-common.c \
 	src/common/unicode_norm.c \
@@ -37,11 +41,13 @@
 	include/iobuf.h \
 	include/janitor.h \
 	include/loader.h \
+	include/messages.h \
 	include/objects.h \
 	include/pam.h \
 	include/pktbuf.h \
 	include/pooler.h \
 	include/proto.h \
+	include/prepare.h \
 	include/sbuf.h \
 	include/scram.h \
 	include/server.h \
@@ -51,15 +57,19 @@
 	include/util.h \
 	include/varcache.h \
 	include/common/base64.h \
+	include/common/builtins.h \
 	include/common/pg_wchar.h \
 	include/common/postgres_compat.h \
 	include/common/saslprep.h \
 	include/common/scram-common.h \
 	include/common/unicode_combining_table.h \
 	include/common/unicode_norm.h \
-	include/common/unicode_norm_table.h
-
+	include/common/unicode_norm_table.h \
+	include/common/uthash_lowercase.h
+
+UTHASH = uthash
 pgbouncer_CPPFLAGS = -Iinclude $(CARES_CFLAGS) $(LIBEVENT_CFLAGS) $(TLS_CPPFLAGS)
+pgbouncer_CPPFLAGS += -I$(UTHASH)/src
 
 # include libusual sources directly
 AM_FEATURES = libusual
@@ -80,10 +90,12 @@
 
 # files in tgz
 EXTRA_DIST = AUTHORS COPYRIGHT Makefile config.mak.in config.sub config.guess \
+	     pyproject.toml requirements.txt \
 	     install-sh autogen.sh configure configure.ac \
 	     etc/mkauth.py etc/optscan.sh etc/example.debian.init.sh \
 	     win32/Makefile \
-	     $(LIBUSUAL_DIST)
+	     $(LIBUSUAL_DIST) \
+	     $(UTHASH_DIST) \
 
 # libusual files (FIXME: list should be provided by libusual...)
 LIBUSUAL_DIST = $(filter-out %/config.h, $(sort $(wildcard \
@@ -97,6 +109,9 @@
 		lib/README lib/COPYRIGHT \
 		lib/find_modules.sh )))
 
+UTHASH_DIST = $(UTHASH)/src/uthash.h \
+              $(UTHASH)/LICENSE
+
 pgbouncer_LDFLAGS := $(TLS_LDFLAGS)
 pgbouncer_LDADD := $(CARES_LIBS) $(LIBEVENT_LIBS) $(TLS_LIBS) $(LIBS)
 LIBS :=
@@ -137,8 +152,17 @@
 	@echo "Please run ./configure"
 	@exit 1
 
+PYTEST = $(shell command -v pytest || echo '$(PYTHON) -m pytest')
+
+CONCURRENCY = auto
+
 check: all
 	etc/optscan.sh
+	if [ $(CONCURRENCY) = 1 ]; then \
+		PYTHONIOENCODING=utf8 $(PYTEST); \
+	else \
+		PYTHONIOENCODING=utf8 $(PYTEST) -n $(CONCURRENCY); \
+	fi
 	$(MAKE) -C test check
 
 w32zip = $(PACKAGE_TARNAME)-$(PACKAGE_VERSION)-windows-$(host_cpu).zip
@@ -163,4 +187,37 @@
 	done
 
 doc/pgbouncer.1 doc/pgbouncer.5:
-	$(MAKE) -C doc
+	$(MAKE) -C doc $(@F)
+
+lint:
+	flake8
+
+format-check: uncrustify
+	black --check .
+	isort --check .
+	./uncrustify -c uncrustify.cfg --check include/*.h src/*.c -L WARN
+
+format: uncrustify
+	$(MAKE) format-c
+	$(MAKE) format-python
+
+format-python: uncrustify
+	black .
+	isort .
+
+format-c: uncrustify
+	./uncrustify -c uncrustify.cfg --replace --no-backup include/*.h src/*.c -L WARN
+
+UNCRUSTIFY_VERSION=0.77.1
+
+uncrustify:
+	temp=$$(mktemp -d) \
+		&& cd $$temp \
+		&& curl -L https://github.com/uncrustify/uncrustify/archive/refs/tags/uncrustify-$(UNCRUSTIFY_VERSION).tar.gz --output uncrustify.tar.gz \
+		&& tar xzf uncrustify.tar.gz \
+		&& cd uncrustify-uncrustify-$(UNCRUSTIFY_VERSION) \
+		&& mkdir -p build \
+		&& cd build \
+		&& cmake .. \
+		&& $(MAKE) \
+		&& cp uncrustify $(CURDIR)/uncrustify
