=== debian/changelog ===
pgbouncer (1.23.1-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 03 Aug 2024 10:27:34 +0300

pgbouncer (1.23.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.23.1.
    - Fixes:
      * Fix a possible segmentation fault after PgBouncer reloads its
        configuration.
      * Fix all known put_in_order crashes.
      * Add missing files to release tarball that are required for testing.

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Sat, 03 Aug 2024 10:27:34 +0300
