=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pgbouncer
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
  Peter Eisentraut <petere@debian.org>,
@@ -11,14 +10,14 @@
 Rules-Requires-Root: no
 Build-Depends:
  ca-certificates,
- debhelper-compat (= 13),
+ debhelper (>= 12),
  libevent-dev (>= 1.3b),
  libpam0g-dev | libpam-dev,
  libssl-dev,
  libc-ares-dev (>> 1.12),
  libpq-dev,
  libsystemd-dev,
- pkg-config,
+ pkgconf,
  pandoc,
  postgresql,
  python3,
