## pgbouncer 1.24.0

=== requirements.txt ===
pytest
pytest-asyncio
pytest-timeout
pytest-xdist
psycopg
filelock
contextlib2; python_version < "3.7"
