=== debian/changelog ===
pgbouncer (1.24.0-3) unstable; urgency=medium

  * Limit to 64-bit architectures.

 -- Christoph Berg <myon@debian.org>  Wed, 12 Mar 2025 17:19:10 +0100

pgbouncer (1.24.0-2) unstable; urgency=medium

  [ Bradford D. Boyle ]
  * Skip tests for Close messages on psycopg < 3.2

  [ Christoph Berg ]
  * Mark test dependencies with <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Wed, 12 Mar 2025 15:40:12 +0100

pgbouncer (1.24.0-1) unstable; urgency=medium

  [Bradford D. Boyle]
  * Team upload.
  * New upstream version 1.24.0.

  [Brian Cosgrove]
  * Ensure that the main test suite does in fact run during debbuild (Closes:
    #1085109)

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Tue, 04 Feb 2025 14:37:23 +0100
