=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Build-Depends:
+ architecture-is-64-bit,
  ca-certificates,
- debhelper (>= 12),
+ debhelper-compat (= 13),
  libevent-dev (>= 1.3b),
  libpam0g-dev | libpam-dev,
  libssl-dev,
@@ -21,6 +22,15 @@
  pandoc,
  postgresql,
  python3,
+ python3-pytest <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
+ python3-pytest-timeout <!nocheck>,
+ python3-pytest-xdist <!nocheck>,
+ python3-psycopg2 <!nocheck>,
+ python3-psycopg <!nocheck>,
+ python3-filelock <!nocheck>,
+ tzdata-legacy <!nocheck>,
 Homepage: https://www.pgbouncer.org/
 Vcs-Git: https://salsa.debian.org/postgresql/pgbouncer.git
 Vcs-Browser: https://salsa.debian.org/postgresql/pgbouncer
