=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) -C test check PATH=$(PGBINDIR):$(PATH)
+	$(MAKE) check PATH=$(PGBINDIR):$(PATH)
 endif
 
 override_dh_auto_install:
