## pgbouncer 1.24.1

=== test/Makefile ===
--- 
+++ 
@@ -13,9 +13,9 @@
 	     test.ini stress.py userlist.txt pgbouncer_hba.conf \
 	     __init__.py conftest.py utils.py \
 	     test_admin.py test_auth.py test_cancel.py test_copy.py test_limits.py \
-	     test_misc.py test_no_database.py test_no_user.py test_operations.py \
-	     test_peering.py test_prepared.py test_ssl.py test_timeouts.py \
-		 test_replication.py
+	     test_load_balance_hosts.py test_misc.py test_no_database.py \
+	     test_no_user.py test_operations.py test_peering.py test_prepared.py \
+	     test_ssl.py test_timeouts.py test_replication.py
 
 
 UTHASH = ../uthash
