=== debian/changelog ===
pgbouncer (1.24.1-1) unstable; urgency=medium

  [ Christoph Berg ]
  * B-D on libsystemd-dev on Linux only.

  [ Bradford D. Boyle ]
  * New upstream version 1.24.1.
    - Security
      * Fix CVE-2025-2291: Account for VALID UNTIL in auth_query.
        (Closes: #1103394)
    - Fixes
      * Fix PAM support by reverting pam authentication support in HBA file.
      * Fix bug when decrementing user connection count. This was included in
        the tag of 1.24.0 on GitHub, but the release tarball did not contain
        this fix.
      * Add test_load_balance_hosts.py to the tarball.
      * Fix issues with tests to allow them to be run by Debian packagers.
    - Docs
      * Update auth_query example to set a safe search_path.

 -- Christoph Berg <myon@debian.org>  Thu, 17 Apr 2025 10:21:09 +0200
