=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libssl-dev,
  libc-ares-dev (>> 1.12),
  libpq-dev,
- libsystemd-dev,
+ libsystemd-dev [linux-any],
  pkgconf,
  pandoc,
  postgresql,
