=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,16 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/architecture.mk
 
 # verbose build output (antimake.mk)
 export V=1
 
 PG_CONFIG=pg_config
 PGBINDIR=$(shell $(PG_CONFIG) --bindir)
+
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+	SYSTEMD = --with-systemd
+endif
 
 %:
 	dh $@
@@ -20,7 +26,7 @@
 		--bindir=/usr/sbin \
 		--with-cares=yes \
 		--with-pam \
-		--with-systemd
+		$(SYSTEMD)
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
