=== test/ssl/Makefile ===
SUBLOC = test/ssl

include ../../config.mak
include ../../lib/mk/antimake.mk

check: all
	./test.sh
