=== debian/changelog ===
pgbouncer (1.25.0-1) unstable; urgency=medium

  [ Bradford D. Boyle ]
  * New upstream version. (Closes: #1120176)

  [ Christoph Berg ]
  * Cherry-pick: Add missing typedefs for architectures with SIMD support.

 -- Christoph Berg <myon@debian.org>  Wed, 12 Nov 2025 22:39:50 +0100
