=== debian/control ===
--- 
+++ 
@@ -6,13 +6,15 @@
  Marco Nenciarini <mnencia@debian.org>,
 Section: database
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends:
  architecture-is-64-bit,
  ca-certificates,
  debhelper-compat (= 13),
+ ldap-utils <!nocheck>,
  libevent-dev (>= 1.3b),
+ libldap-dev,
  libpam0g-dev | libpam-dev,
  libssl-dev,
  libc-ares-dev (>> 1.12),
@@ -30,6 +32,8 @@
  python3-psycopg2 <!nocheck>,
  python3-psycopg <!nocheck>,
  python3-filelock <!nocheck>,
+ slapd <!nocheck>,
+ socat <!nocheck>,
  tzdata-legacy <!nocheck>,
 Homepage: https://www.pgbouncer.org/
 Vcs-Git: https://salsa.debian.org/postgresql/pgbouncer.git
