=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
 		--bindir=/usr/sbin \
 		--with-cares=yes \
 		--with-pam \
+		--with-ldap \
 		$(SYSTEMD)
 
 override_dh_auto_test:
