## pgbouncer 1.25.1

=== debian/changelog ===
pgbouncer (1.25.1-1.pgdg11+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Add python3-contextlib2 build-dependency.
    + Remove test dependencies; psycopg is not available.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 03 Dec 2025 19:20:51 +0100

pgbouncer (1.25.1-1) unstable; urgency=medium

  * New upstream version 1.25.1.
  * Run tests in C.UTF-8.

 -- Christoph Berg <myon@debian.org>  Wed, 03 Dec 2025 19:20:51 +0100

pgbouncer (1.25.0-2) unstable; urgency=medium

  * Run tests with psql -X.
  * Mark test/test_misc.py::test_notify_queue as xfail on big-endian archs.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Nov 2025 14:14:22 +0000
