=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
  architecture-is-64-bit,
  ca-certificates,
  debhelper-compat (= 13),
- ldap-utils <!nocheck>,
  libevent-dev (>= 1.3b),
  libldap-dev,
  libpam0g-dev | libpam-dev,
@@ -24,17 +23,7 @@
  pandoc,
  postgresql,
  python3,
- python3-pytest <!nocheck>,
- python3-pytest <!nocheck>,
- python3-pytest-asyncio <!nocheck>,
- python3-pytest-timeout <!nocheck>,
- python3-pytest-xdist <!nocheck>,
- python3-psycopg2 <!nocheck>,
- python3-psycopg <!nocheck>,
- python3-filelock <!nocheck>,
- slapd <!nocheck>,
- socat <!nocheck>,
- tzdata-legacy <!nocheck>,
+ python3-contextlib2,
 Homepage: https://www.pgbouncer.org/
 Vcs-Git: https://salsa.debian.org/postgresql/pgbouncer.git
 Vcs-Browser: https://salsa.debian.org/postgresql/pgbouncer
